# Generated from rack-1.4.5.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rack
%global rubyabi 1.9.1

Summary: a modular Ruby webserver interface
Name: %{?scl_prefix}rubygem-%{gem_name}
Epoch: 1
Version: 1.4.5
Release: 3%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://rack.github.com/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Rack provides a minimal, modular and adaptable interface for developing
web applications in Ruby.  By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.
Also see http://rack.github.com/.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{epoch}:%{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{_bindir}/rackup
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/contrib
%{gem_instdir}/COPYING

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/KNOWN-ISSUES
%doc %{gem_instdir}/example
%doc %{gem_instdir}/rack.gemspec
%doc %{gem_instdir}/test
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/SPEC

%changelog
* Wed Aug 07 2013 Steve Linabery <slinaber@redhat.com> - 1.4.5-3
- Add Epoch to doc subpackage Requires

* Fri Jun 21 2013 Steve Linabery <slinaber@redhat.com> - 1.4.5-2
- Add Epoch

* Thu Jun 20 2013 Steve Linabery <slinaber@redhat.com> - 1.4.5-1
- Initial package
